From 9ae03979b02f7ba9f0016ebb2ec3f31094f48fa0 Mon Sep 17 00:00:00 2001
From: Igmar Palsenberg <igmar@palsenberg.com>
Date: Mon, 6 Jun 2011 17:01:44 +0200
Subject: [PATCH 5/6] Use proper cast to wchar_t *

---
 src/stdio/vfwprintf.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/stdio/vfwprintf.c b/src/stdio/vfwprintf.c
index 064adb9..6e7bb5d 100644
--- a/src/stdio/vfwprintf.c
+++ b/src/stdio/vfwprintf.c
@@ -185,7 +185,7 @@ static int wprintf_core(FILE *f, const wchar_t *fmt, va_list *ap, union arg *nl_
 
 		/* Handle literal text and %% format specifiers */
 		for (a=s; *s && *s!='%'; s++);
-		litpct = wcsspn(s, L"%")/2; /* Optimize %%%% runs */
+		litpct = wcsspn(s, (wchar_t *)L"%")/2; /* Optimize %%%% runs */
 		z = s+litpct;
 		s += 2*litpct;
 		l = z-a;
-- 
1.7.5.2

